#
# spec file for package scim-uim (Version 0.1.3)
#
# Copyright (c) 2004 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  gpp libgpp pkgconfig scim scim-devel uim uim-devel

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils gcc gcc-c++ gdbm gettext libstdc++-devel libtool perl pkgconfig rpm scim scim-devel uim uim-devel

Name:         scim-uim
Version:      0.1.3
Release:      1.3.1
License:      GPL
Group:        System/I18n/Japanese
Autoreqprov:  on
URL:          http://scim.freedesktop.org
Source0:      http://freedesktop.org/~suzhe/sources/scim-uim-0.1.3.tar.bz2
Patch0:       commit-when-focus-out.patch
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Summary:      UIM Input Method Engine for SCIM

%description
UIM Input Method Engine for SCIM



Authors:
--------
    James Su <suzhe@tsinghua.org.cn>

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1

%build
libtoolize --force
autoreconf --force --install --verbose
CXXFLAGS="$RPM_OPT_FLAGS"
./configure --prefix=/usr \
            --sysconfdir=%{_sysconfdir} \
	    --libdir=%{_libdir} \
            --disable-static 
make 

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
make DESTDIR=${RPM_BUILD_ROOT} install
rm -f $RPM_BUILD_ROOT/%{_libdir}/scim-1.0/IMEngine/uim.{a,la}
# %find_lang scim-uim

%clean
#[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%files
%defattr(-, root, root)
%doc AUTHORS COPYING NEWS README ChangeLog
%dir %{_libdir}/scim-1.0/
%dir %{_libdir}/scim-1.0/IMEngine/
%{_libdir}/scim-1.0/IMEngine/uim.so
%dir %{_datadir}/scim/icons/
%{_datadir}/scim/icons/scim-uim.png

%changelog -n scim-uim
* Fri Sep 03 2004 - mfabian@suse.de
- update to 0.1.3.
* Mon Aug 16 2004 - mfabian@suse.de
- update to 0.1.2.
* Sat Aug 14 2004 - mfabian@suse.de
- remove superfluous stuff from "# neededforbuild".
* Sat Aug 14 2004 - mfabian@suse.de
- new package: scim-uim, version 0.1.1.
